#include "histogram.h"
#include "svg.h"
#include <sstream>
#include <curl/curl.h>

int main() {
    curl_global_init(CURL_GLOBAL_ALL);
    auto in = input_data(std::cin, true);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins, in.width);
    return 0;
}
